<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:context="http://www.springframework.org/schema/context"
  xsi:schemaLocation="http://www.springframework.org/schema/beans 
       http://www.springframework.org/schema/beans/spring-beans.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context.xsd">

  <!--配置组件扫描，只扫描Controller注解之外的组件-->
  <context:component-scan base-package="com.learn">
    <context:exclude-filter type="annotation"
      expression="org.springframework.stereotype.Controller"/>
  </context:component-scan>

  <context:property-placeholder location="classpath:jdbc.properties,classpath:redis-jedisPool.properties"/>

  <import resource="classpath:spring/spring-*.xml"></import>
</beans>